/*framing*/
as-split-area[size="50"]
{
	background: #fff;
}


.as-split-area.main-window
{
	display:flex;
}

as-split-area, as-split[direction="vertical"] as-split-area
{
	background: #e7e5e5;
	color: #586060;
	font-size: 12px;
	line-height: 24px;
}
/*div.row {display: block;}*/
as-split-gutter[_ngcontent-c1]
{
	background-color: rgb(193, 190, 190) !important;
}

.as-vertical[_nghost-c2] >.as-split-area
{
	overflow: hidden;
}

label, div.well {
	color: #121212;
}

button.btn-default.btn-block
{
	background: #12121f;
	color: #fff;
	font-size: 12px;
	padding: 10px 0;
	border-radius: 0;
	position: relative;
	text-indent: -12px;
}

	button.btn-default.btn-block:after
	{
		content: "[\2190";
		position: absolute;
		transform: rotate(-90deg);
		margin-left: 8px;
		top: 5px;
	}

	button.btn-default.btn-block:hover
	{
		background: #ff3244;
	}

button.btn
{
	border: solid 1px #ced4da;
}

button.btn.btn-primary
{
	color: #12121f;
	background: #fff; /*border: 0;*/
	border-color: #ced4da;
	/*border-left: 0;*/
	border-radius: 0;
}

.form-control.ng-pristine.ng-valid
{
	border-radius: 0;
}

/*header*/
#mainHeader
{
	clear: both;
	height: 65px;
	background: #9a9595;
	padding: 15px 30px;
	box-sizing: border-box;
}

#wordMark
{
	text-transform: uppercase;
	color: #fff;
	font-size: 14px;
	margin-bottom: 5px;
	line-height: 14px;
}

	#wordMark span
	{
		font-weight: 900;
		color: #3d3a3a;
	}

#mainHeader ul
{
	list-style: none;
	margin: 0 0 0 -10px;
	padding: 0;
}

	#mainHeader ul li
	{
		float: left;
		margin: 0 10px 0 0;
		padding: 0;
	}

		#mainHeader ul li a,
		#mainHeader ul li label,
		#mainHeader ul li div
		{
			font-size: 12px;
			color: #3c3a3a;
			text-decoration: none;
			padding: 0 10px;
			margin: 0;
			border: 0;
			display: inline;
			cursor: pointer;
		}

			#mainHeader ul li a:hover,
			#mainHeader ul li label:hover,
			#mainHeader ul li div:hover
			{
				color: #111;
				padding-bottom: 7px;
				border-bottom: 3px solid #ff3244
			}


#mainHeader .dropdown-menu li
{
	height: 30px;
	float: none;
	width: 200px;
}

	#mainHeader .dropdown-menu li label,
	#mainHeader .dropdown-menu li a
	{
		padding: 0 20px;
	}

	#mainHeader .dropdown-menu li fa-icon
	{
		position: absolute;
		left: 5px;
	}



#mainHeader .dropdown-menu li a:hover
{
	padding-bottom: 7px;
	border-bottom: 3px solid #ff3244
}


/*node list*/
app-node-list div.row div:not(div.col-6)
{
	padding: 0;
	margin: 0px 32px;
	border-bottom: 1px solid #d7d5d5;
	padding-left: 30px;
	position: relative;
}

div.selected,
div.selected label
{
	color: #fff;
}


div.selected
{
	background: #222;
}

/*graph and schema */

div.tab-content
{
	background-color: #e7e5e5;
}

ul.nav.nav-tabs
{
	/*height: 34px;*/
	background-image: linear-gradient(#eee, #e4e4e4);
	padding-left: 8px;
	border-bottom: #b7b7b7;
}

	ul.nav.nav-tabs a.nav-link
	{
		height: 27px;
		border-radius: 0;
		padding: 0 10px;
		margin-top: 7px;
		/*width: 90px;*/
		border-left: 1px solid #b7b7b7;
		border-right: 1px solid #b7b7b7;
		color: #7c7f7f;
		margin-right: 5px;
		border-top: 1px solid #b7b7b7;
		background: #dad9d9;
		position: relative;
	}

		ul.nav.nav-tabs a.nav-link.active
		{
			border-top: 3px solid #12121f;
			color: #252626;
			height: 31px;
			background: #fff;
			margin-top: 5px;
		}

		ul.nav.nav-tabs a.nav-link:hover
		{
			color: #4a4646;
		}


tab.tab-pane.active
{
	border-top: 1px solid #b7b7b7;
}

.node-list-container 
{
	height: 100%;
	display: flex;
	flex-direction: column;
}

.node-list
{
	flex: 1;
	overflow-y: auto;
	overflow-x: hidden;
	padding: 0 5px;
}

.dropdown-menu {
	display: block;
	position: absolute;
	margin-bottom: 5px;
}

	.dropdown-menu li {
		margin-left: 5px;
		cursor: pointer;
	}


label.showAll
{
	font-weight: bold;
}

/* ng2-dragular */

/* in-flight clone */
.gu-mirror {
	position: fixed !important;
	margin: 0 !important;
	z-index: 9999 !important;
	opacity: 0.8;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=80)";
	filter: alpha(opacity=80);
	pointer-events: none;
}
/* high-performance display:none; helper */
.gu-hide {
	left: -9999px !important;
}
/* added to mirrorContainer (default = body) while dragging */
.gu-unselectable {
	-webkit-user-select: none !important;
	-moz-user-select: none !important;
	-ms-user-select: none !important;
	user-select: none !important;
}
/* added to the source element while its mirror is dragged */
.gu-transit {
	opacity: 0.2;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=20)";
	filter: alpha(opacity=20);
}


